<template>
  <div class="form__nav-container" v-if="active" :key="fieldId">
    <div class="form__nav">
      <v-btn
        depressed
        rounded
        color="tway-apple-green"
        class="tway-btn nav__btn--prev"
        :disabled="isFirst"
        @click="$emit('back')"
      >
        Anterior
      </v-btn>
      <v-btn
        depressed
        rounded
        color="tway-apple-green"
        class="tway-btn nav__btn--next"
        :disabled="!isValid"
        @click="$emit('next')"
      >
        Siguiente
      </v-btn>
    </div>
  </div>
</template>
<script>
export default {
  name: "FormNav",
  props: {
    fieldId: {
      type: Number,
      default: null,
    },
  },
  inject: ["formState"],
  computed: {
    active() {
      return this.formState.activeField === this.fieldId;
    },
    isFirst() {
      return this.fieldId === 0;
    },
    isValid() {
      return this.formState.isValid;
    },
  },
};
</script>
